Create Api Client
Creates a new API Client in the specified SSO Realm for API access.
SSO Realm identifier
API Client configuration object
Show optional properties
{
"clientId": "string",
"clientName": "string"
}
"{\n \"clientId\" : \"api-client-id\",\n \"clientName\" : \"Automation API Client\",\n \"clientDescription\" : \"API Client for automation purposes\"\n}"
Optional description for the API client
API client unique string that is used for the CRUD operations within identity broker single tenant
Friendly name for the API client
API Client unique string that is used as the principal for role assignment within identity broker
Roles assigned to this API client
Created API Client details
"{\n \"clientId\" : \"api-client-id\",\n \"clientUuid\" : \"77ca0ca8-a504-4969-aeed-4ac453c1ef61\",\n \"clientName\" : \"Automation API Client\",\n \"clientDescription\" : \"API Client for automation purposes\"\n}"
Optional description for the API client
API client unique string that is used for the CRUD operations within identity broker single tenant
Friendly name for the API client
API Client unique string that is used as the principal for role assignment within identity broker
Roles assigned to this API client
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"clientId":"string","clientName":"string"}' https://{api_host}/suite-api/api/fleet-management/iam/ssorealms/{ssoRealmId}/api-clients